unit UActionVersionInfo;

{ EOFile by YT }

interface

uses
	Windows,
	WinTips,
	LConsts, LWindows, LActions, LAddDlgs;

{ Global Action }

type
	TVersionInfoAction = class(T0Action)
	protected
		procedure DoExecute; override;
	public
		constructor Create;
		procedure Update; override;
	end;

implementation

type
	TThread = class(T0Thread)
	protected
		procedure Execute; override;
	end;

{ TThread }

procedure TThread.Execute;
var
	Hidden: HWND;
begin
	Hidden := CreateWindowExW(0, 'STATIC', '', 0, 0, 0, 0, 0, 0, 0, MainInstance, nil);
	VersionDialog(Hidden, SVersionInfo);
	DestroyWindow(Hidden);
end;

{ TVersionInfoAction }

constructor TVersionInfoAction.Create;
begin
	inherited Create(True);
	SetName('VersionInfo');
	SetText('o[W...');
	SetHint('o[W\܂');
end;

procedure TVersionInfoAction.DoExecute;
begin
	TThread.Create
end;

procedure TVersionInfoAction.Update;
begin
end;

end.
