unit EOFileShareMem;

{*******************************************************}
{                                                       }
{       EOFile Extension Memory Manager                 }
{                                                       }
{       2002..2006 YT                                   }
{                                                       }
{*******************************************************}

{
	DLL̃C\[X{̂uses߂̐擪ŎQƂĂ.
	DLL̃C\[Xŕϐ錾Ȃł.
	BorlandMM.dll͕svł. ShareMem.pasusesȂł.
}

interface

const
	CoreModule = 'eofile.exe';

implementation

function GetModuleHandle(lpModuleName: PChar): Integer; stdcall;
external 'kernel32.dll' name 'GetModuleHandleA';

function GetProcAddress(hModule: Integer; lpProcName: PChar): Pointer; stdcall;
external 'kernel32.dll' name 'GetProcAddress';

procedure InitMemoryManager;
var
{$IF RTLVersion >= 18}
	SharedMemoryManager: TMemoryManagerEx;
{$ELSE}
	SharedMemoryManager: TMemoryManager;
{$IFEND}
	MM: HMODULE;
begin
	MM := GetModuleHandle(CoreModule);

	SharedMemoryManager.GetMem := GetProcAddress(MM, '@Borlndmm@SysGetMem$qqri');
	SharedMemoryManager.FreeMem := GetProcAddress(MM, '@Borlndmm@SysFreeMem$qqrpv');
	SharedMemoryManager.ReallocMem := GetProcAddress(MM, '@Borlndmm@SysReallocMem$qqrpvi');
{$IF RTLVersion >= 18}
	SharedMemoryManager.AllocMem := GetProcAddress(MM, '@Borlndmm@SysAllocMem$qqri');
	SharedMemoryManager.RegisterExpectedMemoryLeak := GetProcAddress(MM, '@Borlndmm@SysRegisterExpectedMemoryLeak$qqrpi');
	SharedMemoryManager.UnregisterExpectedMemoryLeak := GetProcAddress(MM, '@Borlndmm@SysUnregisterExpectedMemoryLeak$qqrpi');
{$IFEND}

	SetMemoryManager(SharedMemoryManager);
end;

initialization

	Assert(not IsMemoryManagerSet);
	InitMemoryManager;

end.

